# LaunchProcess

### Description

Launches an external process.

```csharp
int LaunchProcess(string exeFilename, string args, bool bWait, 
                  bool elevatedPrivileges)
```

### Arguments

| Name               | Data Type | Description                                                                                                                                                                                                                                                                |
| ------------------ | :-------: | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| exeFilename        |   string  | the full path of the executable to launch                                                                                                                                                                                                                                  |
| args               |   string  | arguments to provide to the executable                                                                                                                                                                                                                                     |
| bWait              |    bool   | flag that indicates whether to wait for the process to exit before proceeding                                                                                                                                                                                              |
| elevatedPrivileges |    bool   | flag that indicates whether the process should request elevated privileges. When using this API to launch the QLM License Wizard, it is recommended to launch the process with elevated privileges to allow the License Wizard to store license keys at the MACHINE level. |

### Return

| Data Type | Description              |
| :-------: | ------------------------ |
|    int    | exit code of the process |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/launchprocess.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
